# Install / Update

Run `make install` or `./install.zsh` to install the dotfiles. Run `make update` or `./install.zsh update` to update the dotfiles.

## Private files

Some dotfiles contains sensitive informationen (e.g. Credentials) you don't want to share in public git repos. Therefore you can create an folder named `private` to check out a private git repo there including all you sensitive files. This folder will not be included in the public repo.

## tmux

### Plugin and Theme Installation

Start `tmux` and press `<prefix>` (`ctrl+y`) followed by `I` (capital i) to install plugins and theme.

### Sessions

Sessionscripts in `tmux` might only work properly with `.ssh/config`

## Fixes

### Docker-Autocompletion

`docker-autocompletion` might report `compinit:501: no such file or directory: /usr/share/zsh/vendor-completions/_docker`. The file is a symlink to `/mnt/wsl/docker-desktop/cli-tools/usr/share/zsh/vendor-completions/_docker` which doesn't exist if Docker-Desktop isn't running. A workaround is to replace the symlink with an copy of the real file:

```
sudo rm -rf /usr/share/zsh/vendor-completions/_docker
sudo cp /mnt/wsl/docker-desktop/cli-tools/usr/share/zsh/vendor-completions/_docker /usr/share/zsh/vendor-completions/
sudo chattr +i /usr/share/zsh/vendor-completions/_docker
```
